Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class RecipientInfo

    java.lang.Object
      com.compoze.domino.RecipientInfo

public class RecipientInfo
extends java.lang.Object

This class stores information about a single recipient.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this recipient.
`java.lang.String` | `getAddress()` Gets the recipient address.
`java.lang.String` | `getName()` Gets the display name of the address entry.
`static RecipientInfo[]` | `getRecipientInfoArray(RecipientInfo[] recipientInfos, RecipientType type)` Gets the recipient info objects from the array by the specified type.
`static java.lang.String` | `getRecipientInfoNameString(RecipientInfo[] recipientInfos, java.lang.String sDelim)` Gets the recipient info string from the specified info array and delimited by the specified delimiter.
`static java.lang.String` | `getRecipientInfoString(RecipientInfo[] recipientInfos)` Gets the recipient info string from the specified info array and delimited by a comma-space (", ").
`static java.lang.String` | `getRecipientInfoString(RecipientInfo[] recipientInfos, java.lang.String sDelim)` Gets the recipient info string from the specified info array and delimited by the specified delimiter.
`RecipientType` | `getRecipientType()` Gets the recipient type.
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getRecipientType

    public RecipientType getRecipientType()

  Gets the recipient type.

  Returns:
    the recipient type

### getAddress

    public java.lang.String getAddress()

  Gets the recipient address.

  Returns:
    the address

### getName

    public java.lang.String getName()

  Gets the display name of the address entry.

  Returns:
    the name

### getRecipientInfoString

    public static java.lang.String getRecipientInfoString(RecipientInfo[] recipientInfos)
                                                   throws DominoException

  Gets the recipient info string from the specified info array and delimited by a comma-space (", ").

  Parameters:
    `recipientInfos` - the recipient info array to read
  Returns:
    the recipient info array as a string or an empty string if specified array if `null` or empty
  Throws:
    `DominoException`

### getRecipientInfoString

    public static java.lang.String getRecipientInfoString(RecipientInfo[] recipientInfos,
                                                          java.lang.String sDelim)

  Gets the recipient info string from the specified info array and delimited by the specified delimiter.

  Parameters:
    `recipientInfos` - the recipient info array to read
    `sDelim` - the delimiter
  Returns:
    the recipient info array as a string or an empty string if specified array if `null` or empty

### getRecipientInfoNameString

    public static java.lang.String getRecipientInfoNameString(RecipientInfo[] recipientInfos,
                                                              java.lang.String sDelim)

  Gets the recipient info string from the specified info array and delimited by the specified delimiter.

  Parameters:
    `recipientInfos` - the recipient info array to read
    `sDelim` - the delimiter
  Returns:
    the recipient info array as a string or an empty string if specified array if `null` or empty

### getRecipientInfoArray

    public static RecipientInfo[] getRecipientInfoArray(RecipientInfo[] recipientInfos,
                                                        RecipientType type)

  Gets the recipient info objects from the array by the specified type.

  Parameters:
    `recipientInfos` - the recipient info array to read
    `type` - the type of recipients to return
  Returns:
    an array of recipient info objects of the specified type or an empty array for none

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this recipient. RecipientInfo is considered equal to either a `String` object if the string equals the address or a `RecipientInfo` object if the address matches `(RecipientInfo)obj.getAddress()` and the type matches `(RecipientInfo)obj.getRecipientType()`. If a `String` object is given, a common name comparison is done if only the recipient common name is known.

  Parameters:
    `obj` - the reference object with which to compare
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns the string representation of this object.

  Returns:
    the string representation of this object

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.